=== debian/changelog ===
libpqxx (7.10.0-2) unstable; urgency=medium

  * Upload to unstable after transition ACK.

 -- Teus Benschop <teusbenschop@debian.org>  Thu, 23 Jan 2025 17:15:05 +0100

libpqxx (7.10.0-1) experimental; urgency=medium

  [ Maarten van Geijn <debian@mvangeijn.nl> ]
  * New upstream version 7.10.0
  * Maarten did all the work.
  * Teus did the sponsoring.
  * Upload to experimental to start the lib transition

 -- Teus Benschop <teusbenschop@debian.org>  Tue, 07 Jan 2025 18:35:40 +0100
