=== debian/control ===
Source: libpqxx
Section: libs
Priority: optional
Maintainer: Debian PostgreSQL team <team+postgresql@tracker.debian.org>
Uploaders: Teus Benschop <teusbenschop@debian.org>,
           Maarten van Geijn <debian@mvangeijn.nl>
Build-Depends: debhelper-compat (= 13),
               libpq-dev (>= 8.0.3),
               chrpath,
               libtool,
               python3-all,
               autoconf-archive
Build-Depends-Indep: doxygen,
                     xmlto,
                     graphviz
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/debian/libpqxx.git
Vcs-Browser: https://salsa.debian.org/debian/libpqxx
Homepage: https://github.com/jtv/libpqxx/
Rules-Requires-Root: no

Package: libpqxx-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         pkgconf,
         libpq-dev (>= 8.0.3-1),
         libpqxx-7.10 (= ${binary:Version})
Suggests: libpqxx-doc
Description: C++ library to connect to PostgreSQL (development files)
 C++ library to enable user programs to communicate with
 the PostgreSQL database back-end.
 .
 This package contains header files for linking against libpqxx. Obsoletes
 the libpqpp-dev package.

Package: libpqxx-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
Suggests: libpqxx-dev (>= ${binary:Version})
Description: C++ library to connect to PostgreSQL (documentation)
 C++ library to enable user programs to communicate with
 the PostgreSQL database back-end.
 .
 This package contains documentation and examples.

Package: libpqxx-7.10
Replaces: libpqxx-7.10
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: C++ library to connect to PostgreSQL
 C++ library to enable user programs to communicate with
 the PostgreSQL database back-end. The database back-end can
 be local or it may be on another machine, accessed via
 TCP/IP. This package obsoletes the libpqpp package.
