=== debian/watch ===
version=4
#opts=filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/libpqxx-$1.tar.gz/,\
#  pgpsigurlmangle=s/archive\/(.*)\.tar\.gz/releases\/download\/$1\/$1\.tar\.gz\.asc/,\
#	repacksuffix=+dfsg1,uversionmangle=s/-.*$//,dversionmangle=s/[-.+~]?(git|snapshot|repack|dfsg)(.*)$//i \
#  https://github.com/jtv/libpqxx/releases .*/v?(\d.*)\.tar\.gz

opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/libpqxx-$1.tar.gz/,\
	repacksuffix=+dfsg1,uversionmangle=s/-.*$//,dversionmangle=s/[-.+~]?(git|snapshot|repack|dfsg)(.*)$//i" \
  https://github.com/jtv/libpqxx/tags .*/v?(\d.*)\.tar\.gz
